#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2.0.1
visibility:           public
id:                   semialign-1.2.0.1-20UqlIziqy622gzbUlbbGr
key:                  semialign-1.2.0.1-20UqlIziqy622gzbUlbbGr
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  514c008c6374722a8cf6aaac26caff6e
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.2.8/site-local/semialign-1.2.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/semialign-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semialign
hs-libraries:         HSsemialign-1.2.0.1-20UqlIziqy622gzbUlbbGr
depends:
    base-4.16.4.0 containers-0.6.5.1
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    indexed-traversable-0.1.4-4sIHAL2TCLA7M9hJks3RSI
    indexed-traversable-instances-0.1.2-7WV8eMbStPYA3kgG6c37RK
    semigroupoids-5.3.7-JkDZBHxyJuVJFVfufEzBnR
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP
    these-1.1.1.1-3zhmbThKegjDgry2WO7Mu4 transformers-0.5.6.2
    unordered-containers-0.2.20-E7OuZmBexWvK28rs1X57rg
    vector-0.13.1.0-1cpgbj3eXUqGZ3uVszXgJ9

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

